<template lang="pug">
  div(class="blog-tags hidden")
    div(class="blog-tags__header") {{ $t('label.tags') }}
    ul
    div(class="blog-tags__header") {{ $t('label.authors') }}
</template>

<script>
import {mapState} from 'vuex'

export default {
  name: 'BlogTags',
  async fetch({params, store: {dispatch, getters}}) {
    await dispatch('getTags', params)
  },
  computed: {
    ...mapState({
      tags: (state) => state.tags.data,
    })
  },
}
</script>

<style lang="scss">
.blog-tags {
  &__header {
    @apply text-lg;
  }

  ul {
    @apply mt-4 mb-4;
  }
}
</style>